# Economy Struct Reference

Data of the economy. More...

`#include <economy_type.h>`

## Data Fields
Money | max_loan
| NOSAVE: Maximum possible loan.
int16 | fluct
| Economy fluctuation status.
byte | interest_rate
| Interest.
byte | infl_amount
| inflation amount
byte | infl_amount_pr
| inflation rate for payment rates
uint32 | industry_daily_change_counter
| Bits 31-16 are number of industry to be performed, 15-0 are fractional collected daily.
uint32 | industry_daily_increment
| The value which will increment industry_daily_change_counter. Computed value. NOSAVE.
uint64 | inflation_prices
| Cumulated inflation of prices since game start; 16 bit fractional part.
uint64 | inflation_payment
| Cumulated inflation of cargo paypent since game start; 16 bit fractional part.
Money | old_max_loan_unround
| Old: Unrounded max loan.
uint16 | old_max_loan_unround_fract
| Old: Fraction of the unrounded max loan.

## Detailed Description

Data of the economy.

Definition at line 21 of file economy_type.h.

The documentation for this struct was generated from the following file:

- src/economy_type.h